
Redmine - Patch #31987

Add rake task which synchronize all revisions in repositories related with all active projects

2019-08-31 07:53 - Kuniharu AKAHANE

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: Candidate for next major release   

Description

Hi, there.

Thank you JPL and all who contributed to improving Redmine such an excellent software.

I wrote a rake task patch changesets.rake .

This rake task synchronize all revisions in repositories which related with all active projects.

It is useful when some user mistake to write commit-comment for repository.

Use Case

1. Refs #     <- forgot to write issue_id and/or comment.

2. Refs #xxxxx <- wrong issue_id

3. <- forgot to write commit

I know Redmine has a feature to add a reference between issue and commit on web pages.

But it does not cover all case, and a bunch of mistakes by a thousand of users on a hundred repositories.

Also when i disconnect and reconnect between active project and repository, those additional reference above will be lost.

Even i fix wrong comments on repository, but it will not sync to redmine repository tab and issue reference.

So, i think it would be nice if i have a synchronize rake task.

(  Kouhei Sutou assisted me for writing this patch. Thanks Kouhei Sutou. )

Related issues:

Related to Redmine - Patch #7959: Patch for repository revision update (reload) New 2011-03-22

History

#1 - 2019-08-31 07:53 - Kuniharu AKAHANE

- Copied from Patch #31498: Add redmine_plugin_migration generator added

#2 - 2019-08-31 08:03 - Go MAEDA

- Subject changed from Add rake task which synchronize all revisions in repositories related with all active projects. to Add rake task which

synchronize all revisions in repositories related with all active projects

- Assignee deleted (Go MAEDA)

- Target version changed from 4.1.0 to Candidate for next major release

Removing the assignee and the target version for now :)

#3 - 2019-08-31 09:05 - Kuniharu AKAHANE

oh, my mistakes.

Could you delete issue relation, please?

#4 - 2019-08-31 09:05 - Go MAEDA

- Copied from deleted (Patch #31498: Add redmine_plugin_migration generator)

#5 - 2019-08-31 09:29 - Kuniharu AKAHANE

Thanks again.

#7 - 2019-11-27 04:23 - Kuniharu AKAHANE
- File changesets.rake.patch added

I re-upload the patch.

Fix a bug: Repository history synchronize will be ignored when issue keywords count in changeset N to 0.

#8 - 2021-03-28 16:58 - Go MAEDA

- File changesets.rake.patch added

Updated the patch.

Renamed existing redmine:fetch_changesets to redmine:changesets:fetch in order to improve consistency

Added Copyright header

Fixed RuboCop offences

#9 - 2022-01-16 06:44 - Go MAEDA

- Related to Patch #7959: Patch for repository revision update (reload) added

Files

changesets.rake.patch 2.04 KB 2019-08-31 Kuniharu AKAHANE

changesets.rake.patch 2.17 KB 2019-11-27 Kuniharu AKAHANE

changesets.rake.patch 3.48 KB 2021-03-28 Go MAEDA
